xml.instruct!
xml.OpenSearchDescription(:xmlns => 'http://a9.com/-/spec/opensearch/1.1/', 'xmlns:moz' => 'http://www.mozilla.org/2006/browser/search/') do
  xml.ShortName(@title)
  xml.InputEncoding('UTF-8')
  xml.Description(@description)
  xml.Contact(@contact_email)
  if @image_path.present?
    xml.Image(@image_path, height: 16, width: 16, type: 'image/png')
  end
  # escape route helper or else it escapes the '{' '}' characters. then search doesn't work
  xml.Url(type: 'text/html', method: 'get', template: CGI::unescape(@url))
  xml.moz(:SearchForm, root_url)
end