require "opensearchkick/version"
require 'opensearchkick/engine'
require "confiture"
module Opensearchkick
  class Configuration
    include Confiture::Configuration

    confiture_allowed_keys(:description, :contact_email, :default_title, :search_url, :image_path)
    confiture_defaults(description: 'A opensearch', contact_email: 'opensearch@test.org', default_title:'Opensearch for your application', search_url: 'http://localhost/search?q={searchTerms}', image_path: nil)
  end
end
